package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.dto.OrgDto;
import com.qmth.sop.business.entity.SysOrg;

import java.util.List;

/**
 * <p>
 * 学校组织架构 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
public interface SysOrgService extends IService<SysOrg> {

    /**
     * 获取机构树
     *
     * @param showUserList
     * @return
     */
    List<OrgDto> listOrgTree(Boolean showUserList);

    /**
     * 获取所有机构
     *
     * @return
     */
    List<OrgDto> listOrgAll();

    /**
     * 保存/修改机构信息
     *
     * @param org
     * @return
     */
    Boolean saveOrg(SysOrg org);

    /**
     * 机构禁用
     *
     * @param org
     * @return
     */
    Boolean enable(SysOrg org);
}
